package jp.bcat;
import java.io.*;
import javax.servlet.http.*;
import java.text.SimpleDateFormat;
import java.util.Date;

public class AddServlet extends HttpServlet {
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException {
		String step = request.getParameter("step");
		if ("prepare".equals(step))
			prepare(request, response);
		else
			confirm(request, response);
	}

	void prepare(HttpServletRequest request, HttpServletResponse response) throws IOException {
		String errorMessage = "";
		Book book = new Book();
		String title = request.getParameter("title");
		book.setTitle(title);
		if (title == null || title.length() == 0)
			errorMessage += "<P>^Cg͂ĂB</P>";
		String author = request.getParameter("author");
		book.setAuthor(author);
		if (author == null || author.length() == 0)
			errorMessage += "<P>҂͂ĂB</P>";
		String translator = request.getParameter("translator");
		book.setTranslator(translator);
		String publisher = request.getParameter("publisher");
		book.setPublisher(publisher);
		if (publisher == null || publisher.length() == 0)
			errorMessage += "<P>oŎЂ͂ĂB</P>";
		String publicationDate = request.getParameter("publicationDate");
		book.setPublicationDate(publicationDate);
		if (publicationDate == null || publicationDate.length() == 0)
			errorMessage += "<P>oŔN͂ĂB</P>";
		String code = request.getParameter("code");
		book.setCode(code);
		String memo = request.getParameter("memo");
		book.setMemo(memo);
		String keyword = request.getParameter("keyword");
		book.setKeyword(keyword);
		String dataCreator = request.getParameter("dataCreator");
		book.setDataCreator(dataCreator);
		if (dataCreator == null || dataCreator.length() == 0)
			errorMessage += "<P>o^Җ͂ĂB</P>";
		String now = new SimpleDateFormat("yyyy-MM-dd")
			.format(new Date());
		book.setDataCreatedDate(now);

		response.setContentType("text/html; charset=Shift_JIS");
		PrintWriter out = response.getWriter();
		out.println("<HTML><HEAD><TITLE>}o^mF</TITLE></HEAD>");
		if (errorMessage.length() == 0) {
			out.println("<BODY>");
			out.println("̓eœo^܂H");
			out.println("<PRE>");
			new BookWriter(out, "+ ").write(book);
			out.println("</PRE>");
			out.println("<FORM method='POST'>");
			out.println("<INPUT type='hidden' name='step' value='confirm'>");
			out.println("<INPUT type='submit' value='o^'>");
			out.println("</FORM>");
			out.println("<A href='./'>j[ɖ߂</A>");
			out.println("</BODY>");
			request.getSession().setAttribute("book", book);
		} else {
			out.println("<BODY>");
			out.println(errorMessage);
			out.println("<A href='./'>j[ɖ߂</A>");
			out.println("</BODY>");
		}
		out.println("</HTML>");
	}

	void confirm(HttpServletRequest request, HttpServletResponse response) throws IOException {
		Book book = (Book)request.getSession().getAttribute("book");
		BookCatalog catalog = BookCatalog.getInstance();
		catalog.addBook(book);

		response.setContentType("text/html; charset=Shift_JIS");
		PrintWriter out = response.getWriter();
		out.println("<HTML><HEAD><TITLE>}o^</TITLE></HEAD>");
		out.println("<BODY>");
		out.println("<P>o^܂B</P>");
		out.println("<A href='./'>j[ɖ߂</A>");
		out.println("</BODY>");
		out.println("</HTML>");
	}
}
